# DetachDisks

## 1. 接口描述

本接口(DetachDisks)用于从云主机实例上卸载云硬盘。

{% hint style="info" %}
**注意事项**

* 卸载挂载在**同一实例**上的多块云盘。如果多块云盘中存在不允许卸载的云盘，则操作不执行
* 只有当云硬盘状态为**IN\_USE**时才允许卸载。
* 只有当云硬盘可插拔为**true**才允许卸载。
* 云硬盘类型为**DATA**时才允许卸载。
* 单次最多可卸载**10**块云硬盘。
* 本接口为异步接口，当请求成功返回时，云硬盘并未立即从主机卸载，可通过接口[DescribeDisks](/api-reference/cn/compute/vm/disk/describedisks.md)来查询对应云硬盘的状态，如果云硬盘的状态由**IN\_USE**变为**AVAILABLE**，则为卸载成功。
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称    | 必选 | 类型              | 描述            |
| ------- | -- | --------------- | ------------- |
| diskIds | 是  | Array of String | 将要卸载的云硬盘ID集合。 |

## 3. 响应结果

| 参数名称      | 类型     | 描述                                                       |
| --------- | ------ | -------------------------------------------------------- |
| requestId | String | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 从云主机实例上卸载单块或多块云硬盘。**

```json
POST /api/v2/vm HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DetachDisks
<Common Request Params>

Request:
{
  "diskIds": [
    "your-disk-id"
  ]
}

Response:
{
  "requestId": "T86A56634-582A-4615-BBE2-ABFE192EE7CE",
  "response": {
    "requestId": "T86A56634-582A-4615-BBE2-ABFE192EE7CE"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/vm/disk/detachdisks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
